POST api/Notifications/SaveUserOpenedNotification

Request Information

URI Parameters

None.

Body Parameters

OpenedNotificationModel
NameDescriptionTypeAdditional information
notificationId

integer

None.

userId

integer

None.

serviceId

integer

None.

type

string

None.

Request Formats

application/json, text/json

Sample:
{
  "notificationId": 1,
  "userId": 2,
  "serviceId": 3,
  "type": "sample string 4"
}

text/plain, application/octet-stream

Sample:
{"notificationId":1,"userId":2,"serviceId":3,"type":"sample string 4"}

application/xml, text/xml

Sample:
<OpenedNotificationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody">
  <notificationId>1</notificationId>
  <serviceId>3</serviceId>
  <type>sample string 4</type>
  <userId>2</userId>
</OpenedNotificationModel>

multipart/form-data, application/form-data

Sample:
<OpenedNotificationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><notificationId>1</notificationId><serviceId>3</serviceId><type>sample string 4</type><userId>2</userId></OpenedNotificationModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.